unit DescontoSobreItemvendido;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Mask, StdCtrls, Buttons;

type
  TFormDescontoSobreItem = class(TForm)
    Label1: TLabel;
    Edit1: TEdit;
    GBValor: TGroupBox;
    RB_DescontoValor: TRadioButton;
    RB_DescontoPercentual: TRadioButton;
    MaskEdit1: TMaskEdit;
    BitBtn1: TBitBtn;
    GBTIpo: TGroupBox;
    RB_Desconto: TRadioButton;
    RB_Acrescimo: TRadioButton;
    procedure RB_DescontoPercentualClick(Sender: TObject);
    procedure RB_DescontoValorClick(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormDescontoSobreItem: TFormDescontoSobreItem;

implementation

uses principal;

{$R *.dfm}

procedure TFormDescontoSobreItem.RB_DescontoPercentualClick(
  Sender: TObject);
begin
        MaskEdit1.MaxLength:=4;
        MaskEdit1.EditMask:='9999';
        MaskEdit1.Text:='1000';

end;

procedure TFormDescontoSobreItem.RB_DescontoValorClick(Sender: TObject);
begin
        MaskEdit1.MaxLength:=9;
        MaskEdit1.EditMask:='999999,99';
        MaskEdit1.Text:='000001,00';
end;

procedure TFormDescontoSobreItem.BitBtn1Click(Sender: TObject);
var valor:string;
begin
        valor:=Edit1.Text; virgula:=pos(',',valor);
        Delete(valor, virgula, 1);
        FormPrincipal.ItemDEsc:=valor;

        valor:=MaskEdit1.Text; virgula:=pos(',',valor);
        Delete(valor, virgula, 1);
        FormPrincipal.DescontoItem:=valor;


        if Rb_DescontoValor.checked then FormPrincipal.TipoDescontoItem:='$'
        else FormPrincipal.TipoDescontoItem:='%';
        if Rb_Desconto.checked then FormPrincipal.TipoDescontoAcrescimo:='D'
        else FormPrincipal.TipoDescontoAcrescimo:='A';

        Close;

end;

procedure TFormDescontoSobreItem.FormShow(Sender: TObject);
begin
        if Height=88 then begin
                GBTipo.visible:=false; GBValor.visible:=False;
        end
        else if Height=182 then begin
                GBTipo.visible:=false; GBValor.visible:=True;
        end
        else  begin
                GBTipo.visible:=True; GBValor.visible:=True;
        end;
        Refresh;

end;

end.
