unit FuncoesApoio;

interface

Procedure CapturaDadosProgamadosECF(Tipo:Integer);
Procedure WaitProcess;
Procedure HabilitaDesabilitaItensMenu(Situacao:Integer);
Procedure VerificaRetornoFuncao(var vRetorno:integer);
procedure VerificaRetornoImpressora();
Procedure LimpaMensagem1;
Procedure LimpaMensagem2;

implementation
uses principal, declaracoes,Dialogs,SysUtils, Graphics,controls,Windows, math,idGlobal ;


Procedure CapturaDadosProgamadosECF(Tipo:Integer);
// Se tipo = 1 ---> Captura Alquotas
// Se Tipo = 2 ---> Captura Legendas Meios de Pagamento
// Se Tipo = 3 ---> Captura Alquotas com ndice
// Se Tipo = 4 ---> Captura Totalizadores No Fiscais MFD
// Se Tipo = 5 ---> Captura Nomes dos Relatorio Gerencial
// Se Tipo = 6 ---> Captura Totais das Formas de Pagamento
// Se Tipo = 7 ---> Captura Totais da VEnda (X)
begin
        Resposta:=0;
        case tipo of
        1: begin
                FormPrincipal.Statusbar1.Panels[0].Text:='Capturando Alquotas'; WaitProcess;
                Resposta:=ECF_RetornoAliquotas(Conteudo);
                CopyMemory(@Aliquotas_ICMS_ISS,@Conteudo,300);
        end;
        2: begin
                FormPrincipal.Statusbar1.Panels[0].Text:='Capturando Meios de Pagamento'; WaitProcess;
                Resposta:=ECF_VerificaDescricaoFormasPagamento(Conteudo);
                CopyMemory(@MeiosPagamento,@Conteudo,300);
        end;
        3: begin
                FormPrincipal.Statusbar1.Panels[0].Text:='Capturando Alquotas'; WaitProcess;
                Resposta:=ECF_LerAliquotasComIndice(Conteudo);
                CopyMemory(@cTributacoes,@Conteudo,300);
        end;
        4: begin
                FormPrincipal.Statusbar1.Panels[0].Text:='Capturando Totalizadores No Fiscais'; WaitProcess;
                Resposta:=ECF_VerificaTotalizadoresNaoFiscaisEx(Conteudo);
                CopyMemory(@NaoFiscais,@Conteudo,300);
        end;
        5: begin
                FormPrincipal.Statusbar1.Panels[0].Text:='Capturando Relatrio Gerencial'; WaitProcess;
                Resposta:=ECF_VerificaRelatorioGerencialProgMFD(Conteudo);
                CopyMemory(@RelatorioGer,@Conteudo,300);
        end;
        6: begin
                FormPrincipal.Statusbar1.Panels[0].Text:='Capturando Totais Formas Pagamento'; WaitProcess;
                Resposta:=ECF_VerificaFormasPagamento(Conteudo);
                CopyMemory(@TotaisPagamento,@Conteudo,3016);
        end;
        7: begin
                FormPrincipal.Statusbar1.Panels[0].Text:='Capturando Totais Formas Pagamento'; WaitProcess;
                Resposta:=ECF_TotaisVenda(Conteudo);
                CopyMemory(@TotaisX,@Conteudo,620);
        end;
        8: begin
                FormPrincipal.Statusbar1.Panels[0].Text:='Capturando Totais No Fiscais'; WaitProcess;
                Resposta:=ECF_VerificaRecebimentoNaoFiscalMFD(Conteudo);
                CopyMemory(@TotaisNaoFiscais,@Conteudo,3016);
        end;
        end;
        HabilitaDesabilitaItensMenu(1);
end;

Procedure WaitProcess;
begin
        HabilitaDesabilitaItensMenu(0); // Desabilita menu
        FormPrincipal.Statusbar1.Panels[1].Text:='Aguarde ...';
        FormPrincipal.Cursor:=crHourGlass;
        FormPrincipal.Refresh;
end;

procedure HabilitaDesabilitaItensMenu(Situacao:Integer);
// 0 =desabilita e 1 = habilita
begin
    if situacao= 0 then FormPrincipal.Enabled:=False
    else  FormPrincipal.Enabled:=True;

end;

Procedure VerificaRetornoFuncao(var vRetorno:integer);
Begin
  if vRetorno = 1 then begin
        FormPrincipal.StatusBar1.Panels[1].Text:='Comando Executado com sucesso!';
        FormPrincipal.StatusBar2.Panels[0].Text:='';FormPrincipal.StatusBar2.Panels[1].Text:='';FormPrincipal.StatusBar2.Panels[2].Text:='';
        HabilitaDesabilitaItensMenu(1);
  end
  else if vRetorno = 0 then begin
        FormPrincipal.StatusBar1.Panels[1].Text:='Comando no executado!';
        HabilitaDesabilitaItensMenu(1);
  end
  else begin
        FormPrincipal.StatusBar1.Panels[1].Text:=' ';
        VerificaRetornoImpressora();
  end;
  FormPrincipal.cursor:=crDefault;
  FormPrincipal.Refresh;
End;


procedure VerificaRetornoImpressora();
var sack,St1,St2,St3,indice:integer;
    mensagem:string;
Begin
    LimpaMensagem2;
    Sack:=0;ST1:=0;ST2:=0;ST3:=0;indice:=0;
    Resposta := ECF_RetornoImpressoraMFD(sack,St1,St2,St3);
    if Resposta=0  then  FormPrincipal.StatusBar1.Panels[2].Text:='Falha na Execuo do comando';

    if st1>0 then begin
            try
                    indice:=Strtoint(floattostr(log2(strtofloat(inttostr(st1)))));
            except
            end;
            FormPrincipal.StatusBar2.Panels[0].Text:=inttostr(ST1)+'-'+Mens_St1[indice];//Refresh;
    end;
    if st2>0 then begin
            try
                    indice:=Strtoint(floattostr(log2(strtofloat(inttostr(st2)))));
            except
            end;
            FormPrincipal.StatusBar2.Panels[1].Text:=inttostr(ST2)+'-'+Mens_St2[indice];//Refresh;

{                bValor:= IntToBin(st1);

                if bvalor[25]='1' then FormStatusECF.Label8.Font.Color:=clRed;
                if bvalor[26]='1' then FormStatusECF.Label9.Font.Color:=clRed;
                if bvalor[27]='1' then FormStatusECF.Label10.Font.Color:=clRed;
                if bvalor[29]='1' then FormStatusECF.Label11.Font.Color:=clRed;
                if bvalor[30]='1' then FormStatusECF.Label12.Font.Color:=clRed;
                if bvalor[31]='1' then FormStatusECF.Label13.Font.Color:=clRed;

                bValor:= IntToBin(St2);
                if bvalor[26]='1' then FormStatusECF.Label19.Font.Color:=clRed;
                if bvalor[27]='1' then FormStatusECF.Label18.Font.Color:=clRed;
                if bvalor[28]='1' then FormStatusECF.Label17.Font.Color:=clRed;
                if bvalor[29]='1' then FormStatusECF.Label16.Font.Color:=clRed;
                if bvalor[30]='1' then FormStatusECF.Label15.Font.Color:=clRed;
                if bvalor[31]='1' then FormStatusECF.Label14.Font.Color:=clRed;
                if bvalor[32]='1' then FormStatusECF.Label21.Font.Color:=clRed;
 }

    end;
    case st3 of
    0:   mensagem:='COMANDO OK';
    1:   mensagem:='COMANDO INVLIDO';
    2:   mensagem:='ERRO DESCONHECIDO';
    3:   mensagem:='NMERO DE PARMETRO INVLIDO';
    4:   mensagem:='TIPO DE PARMETRO INVLIDO';
    5:   mensagem:='TODAS ALQUOTAS J PROGRAMADAS';
    6:   mensagem:='TOTALIZADOR NO FISCAL J PROGRAMADO';
    7:   mensagem:='CUPOM FISCAL ABERTO';
    8:   mensagem:='CUPOM FISCAL FECHADO';
    9:   mensagem:='ECF OCUPADO';
    10:  mensagem:='IMPRESSORA EM ERRO';
    11:   mensagem:='IMPRESSORA SEM PAPEL';
    12:   mensagem:='IMPRESSORA COM CABEA LEVANTADA';
    13:   mensagem:='IMPRESSORA OFF LINE';
    14:   mensagem:='ALQUOTA NO PROGRAMADA';
    15:   mensagem:='TERMINADOR DE STRING FALTANDO';
    16:   mensagem:='ACRSCIMO OU DESCONTO MAIOR QUE O TOTAL DO CUPOM FISCAL';
    17:   mensagem:='CUPOM FISCAL SEM ITEM VENDIDO';
    18:   mensagem:='COMANDO NO EFETIVADO';
    19:   mensagem:='SEM ESPAO PARA NOVAS FORMAS DE PAGAMENTO';
    20:   mensagem:='FORMA DE PAGAMENTO NO PROGRAMADA';
    21:   mensagem:='NDICE MAIOR QUE NMERO DE FORMA DE PAGAMENTO';
    22:   mensagem:='FORMAS DE PAGAMENTO ENCERRADAS';
    23:   mensagem:='CUPOM NO TOTALIZADO';
    24:   mensagem:='COMANDO MAIOR QUE 7Fh (127d)';
    25:   mensagem:='CUPOM FISCAL ABERTO E SEM TEM';
    26:   mensagem:='CANCELAMENTO NO IMEDIATAMENTE APS';
    27:   mensagem:='CANCELAMENTO J EFETUADO';
    28:   mensagem:='COMPROVANTE DE CRDITO OU DBITO NO PERMITIDO OU J EMITIDO';
    29:   mensagem:='MEIO DE PAGAMENTO NO PERMITE TEF';
    30:   mensagem:='SEM COMPROVANTE NO FISCAL ABERTO';
    31:   mensagem:='COMPROVANTE DE CRDITO OU DBITO J ABERTO';
    32:   mensagem:='REIMPRESSO NO PERMITIDA';
    33:   mensagem:='COMPROVANTE NO FISCAL J ABERTO';
    34:   mensagem:='TOTALIZADOR NO FISCAL NO PROGRAMADO';
    35:   mensagem:='CUPOM NO FISCAL SEM TEM VENDIDO';
    36:   mensagem:='ACRSCIMO E DESCONTO MAIOR QUE TOTAL CNF';
    37:   mensagem:='MEIO DE PAGAMENTO NO INDICADO';
    38:   mensagem:='MEIO DE PAGAMENTO DIFERENTE DO TOTAL DO RECEBIMENTO';
    39:   mensagem:='NO PERMITIDO MAIS DE UMA SANGRIA OU SUPRIMENTO';
    40:   mensagem:='RELATRIO GERENCIAL J PROGRAMADO';
    41:   mensagem:='RELATRIO GERENCIAL NO PROGRAMADO';
    42:   mensagem:='RELATRIO GERENCIAL NO PERMITIDO';
    43:   mensagem:='MFD NO INICIALIZADA';
    44:   mensagem:='MFD AUSENTE';
    45:   mensagem:='MFD SEM NMERO DE SRIE';
    46:   mensagem:='MFD J INICIALIZADA';
    47:   mensagem:='MFD LOTADA';
    48:   mensagem:='CUPOM NO FISCAL ABERTO';
    49:   mensagem:='MEMRIA FISCAL DESCONECTADA';
    50:   mensagem:='MEMRIA FISCAL SEM NMERO DE SRIE DA MFD';
    51:   mensagem:='MEMRIA FISCAL LOTADA';
    52:   mensagem:='DATA INICIAL INVLIDA';
    53:   mensagem:='DATA FINAL INVLIDA';
    54:   mensagem:='CONTADOR DE REDUO Z INICIAL INVLIDO';
    55:   mensagem:='CONTADOR DE REDUO Z FINAL INVLIDO';
    56:   mensagem:='ERRO DE ALOCAO';
    57:   mensagem:='DADOS DO RTC INCORRETOS';
    58:   mensagem:='DATA ANTERIOR AO LTIMO DOCUMENTO EMITIDO';
    59:   mensagem:='FORA DE INTERVENO TCNICA';
    60:   mensagem:='EM INTERVENO TCNICA';
    61:   mensagem:='ERRO NA MEMRIA DE TRABALHO';
    62:   mensagem:='J HOUVE MOVIMENTO NO DIA';
    63:   mensagem:='BLOQUEIO POR RZ';
    64:   mensagem:='FORMA DE PAGAMENTO ABERTA';
    65:   mensagem:='AGUARDANDO PRIMEIRO PROPRIETRIO';
    66:   mensagem:='AGUARDANDO RZ';
    67:   mensagem:='ECF OU LOJA IGUAL A ZERO';
    68:   mensagem:='CUPOM ADICIONAL NO PERMITIDO';
    69:   mensagem:='DESCONTO MAIOR QUE TOTAL VENDIDO EM ICMS';
    70:   mensagem:='RECEBIMENTO NO FISCAL NULO NO PERMITIDO';
    71:   mensagem:='ACRSCIMO OU DESCONTO MAIOR QUE TOTAL NO FISCAL';
    72:   mensagem:='MEMRIA FISCAL LOTADA PARA NOVO CARTUCHO';
    73:   mensagem:='ERRO DE GRAVAO NA MF';
    74:   mensagem:='ERRO DE GRAVAO NA MFD';
    75:   mensagem:='DADOS DO RTC ANTERIORES AO LTIMO DOC ARMAZENADO';
    76:   mensagem:='MEMRIA FISCAL SEM ESPAO PARA GRAVAR LEITURAS DA MFD';
    77:   mensagem:='MEMRIA FISCAL SEM ESPAO PARA GRAVAR VERSAO DO SB';
    78:   mensagem:='DESCRIO IGUAL A DEFAULT NO PERMITIDO';
    79:   mensagem:='EXTRAPOLADO NMERO DE REPETIES PERMITIDAS';
    80:   mensagem:='SEGUNDA VIA DO COMPROVANTE DE CRDITO OU DBITO NO PERMITIDO';
    81:   mensagem:='PARCELAMENTO FORA DA SEQUNCIA';
    82:   mensagem:='COMPROVANTE DE CRDITO OU DBITO ABERTO';
    83:   mensagem:='TEXTO COM SEQUNCIA DE ESC INVLIDA';
    84:   mensagem:='TEXTO COM SEQUNCIA DE ESC INCOMPLETA';
    85:   mensagem:='VENDA COM VALOR NULO';
    86:   mensagem:='ESTORNO DE VALOR NULO ';
    87:   mensagem:='FORMA DE PAGAMENTO DIFERENTE DO TOTAL DA SANGRIA';
    88:   mensagem:='REDUO NO PERMITIDA EM INTERVENO TCNICA';
    89:   mensagem:='AGUARDANDO RZ PARA ENTRADA EM INTERVENO TCNICA';
    90:   mensagem:='FORMA DE PAGAMENTO COM VALOR NULO NO PERMITIDO';
    91:   mensagem:='ACRSCIMO E DESCONTO MAIOR QUE VALOR DO TEM';
    92:   mensagem:='AUTENTICAO NO PERMITIDA';
    93:   mensagem:='TIMEOUT NA VALIDAO';
    94:   mensagem:='COMANDO NO EXECUTADO EM IMPRESSORA BILHETE DE PASSAGEM';
    95:   mensagem:='COMANDO NO EXECUTADO EM IMPRESSORA DE CUPOM FISCAL';
    96:   mensagem:='CUPOM NO FISCAL FECHADO';
    97:   mensagem:='PARMETRO NO ASCII EM CAMPO ASCII';
    98:   mensagem:='PARMETRO NO ASCII NUMRICO EM CAMPO ASCII NUMRICO';
    99:   mensagem:='TIPO DE TRANSPORTE INVLIDO';
    100:  mensagem:='DATA E HORA INVLIDA';
    101:  mensagem:='SEM RELATRIO GERENCIAL OU COMPROVANTE DE CRDITO OU DBITO ABERTO';
    102:  mensagem:='NMERO DO TOTALIZADOR NO FISCAL INVLIDO';
    103:  mensagem:='PARMETRO DE ACRSCIMO OU DESCONTO INVLIDO';
    104:  mensagem:='ACRSCIMO OU DESCONTO EM SANGRIA OU SUPRIMENTO NO PERMITIDO';
    105:  mensagem:='NMERO DO RELATRIO GERENCIAL INVLIDO';
    106:  mensagem:='FORMA DE PAGAMENTO ORIGEM NO PROGRAMADA';
    107:  mensagem:='FORMA DE PAGAMENTO DESTINO NO PROGRAMADA';
    108:  mensagem:='ESTORNO MAIOR QUE FORMA PAGAMENTO';
    109:  mensagem:='CARACTER NUMRICO NA CODIFICAO GT NO PERMITIDO';
    110:  mensagem:='ERRO NA INICIALIZAO DA MF';
    111:  mensagem:='NOME DO TOTALIZADOR EM BRANCO NO PERMITIDO';
    112:  mensagem:='DATA E HORA ANTERIORES AO LTIMO DOC ARMAZENADO';
    113:  mensagem:='PARMETRO DE ACRSCIMO OU DESCONTO INVLIDO';
    114:  mensagem:='TEM ANTERIOR AOS TREZENTOS LTIMOS';
    115:  mensagem:='TEM NO EXISTE OU J CANCELADO';
    116:  mensagem:='CDIGO COM ESPAOS NO PERMITIDO';
    117:  mensagem:='DESCRICAO SEM CARACTER ALFABTICO NO PERMITIDO';
    118:  mensagem:='ACRSCIMO MAIOR QUE VALOR DO TEM';
    119:  mensagem:='DESCONTO MAIOR QUE VALOR DO TEM';
    120:  mensagem:='DESCONTO EM ISS NO PERMITIDO';
    121:  mensagem:='ACRSCIMO EM TEM J EFETUADO';
    122:  mensagem:='DESCONTO EM TEM J EFETUADO';
    123:  mensagem:='ERRO NA MEMRIA FISCAL CHAMAR CREDENCIADO';
    124:  mensagem:='AGUARDANDO GRAVAO NA MEMRIA FISCAL';
    125:  mensagem:='CARACTER REPETIDO NA CODIFICAO DO GT';
    126:  mensagem:='VERSO J GRAVADA NA MEMRIA FISCAL';
    127:  mensagem:='ESTOURO DE CAPACIDADE NO CHEQUE';
    128:  mensagem:='TIMEOUT NA LEITURA DO CHEQUE';
    129:  mensagem:='MS INVLIDO';
    130:  mensagem:='COORDENADA INVLIDA';
    131:  mensagem:='SOBREPOSIO DE TEXTO';
    132:  mensagem:='SOBREPOSIO DE TEXTO NO VALOR';
    133:  mensagem:='SOBREPOSIO DE TEXTO NO EXTENSO';
    134:  mensagem:='SOBREPOSIO DE TEXTO NO FAVORECIDO';
    135:  mensagem:='SOBREPOSIO DE TEXTO NA LOCALIDADE';
    136:  mensagem:='SOBREPOSIO DE TEXTO NO OPCIONAL';
    137:  mensagem:='SOBREPOSIO DE TEXTO NO DIA';
    138:  mensagem:='SOBREPOSIO DE TEXTO NO MS';
    139:  mensagem:='SOBREPOSIO DE TEXTO NO ANO';
    140:  mensagem:='USANDO MFD DE OUTRO ECF';
    141:  mensagem:='PRIMEIRO DADO DIFERENTE DE ESC OU 1C';
    142:  mensagem:='NO PERMITIDO ALTERAR SEM INTERVENO TCNICA';
    143:  mensagem:='DADOS DA LTIMA RZ CORROMPIDOS';
    144:  mensagem:='COMANDO NO PERMITIDO NO MODO INICIALIZAO';
    145:  mensagem:='AGUARDANDO ACERTO DE RELGIO';
    146:  mensagem:='MFD J INICIALIZADA PARA OUTRA MF';
    147:  mensagem:='AGUARDANDO ACERTO DO RELGIO OU DESBLOQUEIO PELO TECLADO';
    148:  mensagem:='VALOR FORMA DE PAGAMENTO MAIOR QUE MXIMO PERMITIDO';
    149:  mensagem:='RAZO SOCIAL EM BRANCO';
    150:  mensagem:='NOME DE FANTASIA EM BRANCO';
    151:  mensagem:='ENDEREO EM BRANCO';
    152:  mensagem:='ESTORNO DE CDC NO PERMITIDO';
    153:  mensagem:='DADOS DO PROPRIETRIO IGUAIS AO ATUAL';
    154:  mensagem:='ESTORNO DE FORMA DE PAGAMENTO NO PERMITIDO';
    155:  mensagem:=' DESCRIO FORMA DE PAGAMENTO IGUAL J PROGRAMADA';
    156:  mensagem:='ACERTO DE HORRIO DE VERO S IMEDIATAMENTE APS RZ';
    157:  mensagem:='IT NO PERMITIDA MF RESERVADA PARA RZ';
    158:  mensagem:='SENHA CNPJ INVLIDA';
    159:  mensagem:='TIMEOUT NA INICIALIZAO DA NOVA MF';
    160:  mensagem:='NO ENCONTRADO DADOS NA MFD';
    161:  mensagem:='SANGRIA OU SUPRIMENTO DEVEM SER NICOS NO CNF';
    162:  mensagem:='NDICE DA FORMA DE PAGAMENTO NULO NO PERMITIDO';
    163:  mensagem:='UF DESTINO INVLIDA';
    164:  mensagem:='TIPO DE TRANSPORTE INCOMPATVEL COM UF DESTINO';
    165:  mensagem:='DESCRIO DO PRIMEIRO TEM DO BILHETE DE PASSAGEM DIFERENTE DE "TARIFA"';
    166:  mensagem:='AGUARDANDO IMPRESSO DE CHEQUE OU AUTENTICAO';
    167:  mensagem:='NO PERMITIDO PROGRAMAAO CNPJ IE COM ESPAOS EM BRANCO';
    168:  mensagem:='NO PERMITIDO PROGRAMAO UF COM ESPAOS EM BRANCO';
    169:  mensagem:='NMERO DE IMPRESSES DA FITA DETALHE NESTA INTERVENO TCNICA ESGOTADO';
    170:  mensagem:='CF J SUBTOTALIZADO';
    171:  mensagem:='CUPOM NO SUBTOTALIZADO';
    172:  mensagem:='ACRSCIMO EM SUBTOTAL J EFETUADO';
    173:  mensagem:='DESCONTO EM SUBTOTAL J EFETUADO';
    174:  mensagem:='ACRSCIMO NULO NO PERMITIDO';
    175:  mensagem:='DESCONTO NULO NO PERMITIDO';
    176:  mensagem:='CANCELAMENTO DE ACRSCIMO OU DESCONTO EM SUBTOTAL NO PERMITIDO';
    177:  mensagem:='DATA INVLIDA';
    178:  mensagem:='VALOR DO CHEQUE NULO NO PERMITIDO';
    179:  mensagem:='VALOR DO CHEQUE INVLIDO';
    180:  mensagem:='CHEQUE SEM LOCALIDADE NO PERMITIDO';
    181:  mensagem:='CANCELAMENTO ACRSCIMO EM TEM NO PERMITIDO';
    182:  mensagem:='CANCELAMENTO DESCONTO EM TEM NO PERMITIDO';
    183:  mensagem:='NMERO MXIMO DE TENS ATINGIDO';
    184:  mensagem:='NMERO DE TEM NULO NO PERMITIDO';
    185:  mensagem:='MAIS QUE DUAS ALQUOTAS DIFERENTES NO BILHETE DE PASSAGEM NO PERMITIDO';
    186:  mensagem:='ACRSCIMO OU DESCONTO EM ITEM NO PERMITIDO';
    187:  mensagem:='CANCELAMENTO DE ACRSCIMO OU DESCONTO EM ITEM NO PERMITIDO';
    188:  mensagem:='CLICHE J IMPRESSO';
    189:  mensagem:='TEXTO OPCIONAL DO CHEQUE EXCEDEU O MXIMO PERMITIDO';
    190:  mensagem:='IMPRESSO AUTOMTICA NO VERSO NO PERMITIDO NESTE EQUIPAMENTO';
    191:  mensagem:='TIMEOUT NA INSERO DO CHEQUE';
    192:  mensagem:='OVERFLOW NA CAPACIDADE DE TEXTO DO COMPROVANTE DE CRDITO OU DBITO';
    193:  mensagem:='PROGRAMAO DE ESPAOS ENTRE CUPONS MENOR QUE O MNIMO PERMITIDO';
    194:  mensagem:='EQUIPAMENTO NO POSSUI LEITOR DE CHEQUE';
    195:  mensagem:='PROGRAMAO DE ALQUOTA COM VALOR NULO NO PERMITIDO';
    196:  mensagem:='PARMETRO BAUD RATE INVLIDO';
    197:  mensagem:='CONFIGURAO PERMITIDA SOMENTE PELA PORTA DOS FISCO';
    198:  mensagem:='VALOR TOTAL DO ITEM EXCEDE 11 DGITOS';
    199:  mensagem:='PROGRAMAO DA MOEDA COM ESPAOS EM BRACO NO PERMITIDO';
    200:  mensagem:='CASAS DECIMAIS DEVEM SER PROGRAMADAS COM 2 OU 3';
    201:  mensagem:='NO PERMITE CADASTRAR USURIOS DIFERENTES NA MESMA MFD';
    202:  mensagem:='IDENTIFICAO DO CONSUMIDOR NO PERMITIDA PARA SANGRIA OU SUPRIMENTO';
    203:  mensagem:='CASAS DECIMAIS EM QUANTIDADE MAIOR DO QUE A PERMITIDA';
    204:  mensagem:='CASAS DECIMAIS DO UNITRIO MAIOR DO QUE O PERMITIDA';
    205:  mensagem:='POSIO RESERVADA PARA ICMS';
    206:  mensagem:='POSIO RESERVADA PARA ISS';
    207:  mensagem:='TODAS AS ALQUOTAS COM A MESMA VINCULAO NO PERMITIDO';
    208:  mensagem:='DATA DE EMBARQUE ANTERIOR A DATA DE EMISSO';
    end;
    FormPrincipal.StatusBar2.Panels[2].Text:=inttostr(ST3)+'-'+mensagem;
End;

procedure LimpaMensagem1;
begin
        FormPrincipal.StatusBar1.Panels[0].text:='';
        FormPrincipal.StatusBar1.Panels[1].text:='';
        FormPrincipal.StatusBar1.Panels[2].text:='';
end;
procedure LimpaMensagem2;
begin
        FormPrincipal.StatusBar2.Panels[0].text:='';
        FormPrincipal.StatusBar2.Panels[1].text:='';
        FormPrincipal.StatusBar2.Panels[2].text:='';
end;


end.
